
PRELUDE SIEM - Bug #627

Issue compile libprelude with freebsd 10.1

10/04/2015 01:05 PM - patrick moulin

Status: Resolved Start date: 10/04/2015

Priority: Normal Due date:  

Assignee: Antoine LUONG % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

I try to compil libprelude from the sources . I installed the following packages

pkg install wget python27 gmake gnutls pkgconf libgcrypt

 

In the end, i must have the following librairie in "/usr/local/lib"

libpreludecpp.so.3

libpreludecpp.so

libpreludecpp.la

libprelude.so.22

libprelude.so

libprelude.la

With freebsd 9.3, it works but not with 10.1 and i have this error message in the log

configure:16116: checking if libtool supports shared libraries

configure:16118: result: no

configure:16121: checking whether to build shared libraries

configure:16142: result: no

 

This post refers to an issue with "libtool"

http://lists.freebsd.org/pipermail/freebsd-current/2013-March/040460.html

I don't understand why in the same conditions it works with Freebsd 9.3 and it doesn't with Freebsd 10.1 and 10.2

Could you help me ?

Many thanks

History

#1 - 10/05/2015 09:35 AM - Antoine LUONG

- Status changed from New to Assigned

- Assignee set to Antoine LUONG

As stated in the link, the configure script interprets "FreeBSD 10" as "FreeBSD 1".

If you edit the file and remove the following lines (or similar)
freebsd1*)

  ld_shlibs=no

;;

 

you will enable the shared library support.

#2 - 10/05/2015 01:14 PM - patrick moulin

Thnanks for your reply

As you say, i remove the lines with freebsd1*) and now i have :

configure:16116: checking if libtool supports shared libraries

configure:16118: result: yes

configure:16121: checking whether to build shared libraries

configure:16142: result: yes

I have one last error in the config.log

configure:18184: checking whether the c++ linker (/usr/bin/ld) supports shared libraries

configure:18210: result: no

#3 - 10/05/2015 01:44 PM - Antoine LUONG

Are you sure you deleted all the blocks containing "freebsd1*" in configure?

#4 - 10/06/2015 08:25 AM - patrick moulin

- File config-9.3.log added

- File config-10-with-clang.log added

- File config10-with-gcc.log added

Hello,

Yes i deleted all the blocks containing "freebsd1*" in configure

It seems that FreeBSD 10 uses clang as compiler whereas FreeBSD 9.3 uses GCC 4.21. I attach herewith the 3 config.log files so that you will see

the problem.

I install gcc49 to test but i've always the same result 'checking whether the c++ linker (/usr/bin/ld) supports shared libraries...no' and with 'make' i have

the following files now in /usr/local/lib

libpreludecpp.so.8.0
libpreludecpp.la

libprelude.so.24.0

libprelude.la

But it missed

libpreludecpp.so

libprelude.so

Thanks

#5 - 10/10/2015 08:53 AM - patrick moulin

Bonjour,

Désolé d'écrire en francais sur un tracker anglais, cela devient compliqué pour moi, d'autant que ma traductrice est absente smile.png 

Contrairement à ce que j'ai pu vous dire auparavant la librairie monte bien dans l'arborescence.

Je vais prendre l'exemple de prelude-lml et notamment le plugin "debug" mais c'est le même problème avec toutes les autres lirairies.

Je précise que les fichiers sources sont ds le dossier "tmp" et lorsque je compile, j'obtiens bien un fichier "libdebug.so.0.0" dans le dossier

"/tmp/prelude-lml-1.2.6/plugins/debug/.libs" mais normalement je devrais avoir le fichier "debug.so" et par ailleurs dans le dossier

"/usr/local/lib/prelude-lml/" je devrais aussi avoir le fichier "debug.so" alors que j'ai également le fichier "libdebug.so.0.0"

Voila, il semble qu'au moment de la compilation, une étape n'est pas fonctionné.

#6 - 10/10/2015 10:26 PM - Antoine LUONG

Bonjour,

Il vous faut rechercher et supprimer d'autres blocs du configure qui interprètent "FreeBSD 10" comme "FreeBSD 1".

Par exemple :

freebsd[12]*)

 

ou :

freebsd[123]*)

05/03/2024 3/4



#7 - 10/11/2015 07:36 PM - patrick moulin

Merci beaucoup,

Grace à votre aide et à vos consignes, j'y suis enfin parvenu. J'ai effacé tous les blocs "freebsd

12

*)" et "freebsd

123

*)" et cela fonctionne. J'ai réussi à

créer les sondes et tout semble fonctionner. Merci infiniment de votre patience. Dernière question:

Y a t'il des fichiers de démarrage prévu pour freebsd. Que me conseillez vous?

#8 - 10/12/2015 10:01 AM - Antoine LUONG

Bonjour,

Nous ne fournissons pas de script de démarrage pour FreeBSD, mais vous devriez pouvoir adapter ceux existants dans les ports.

#9 - 10/28/2015 09:40 AM - Antoine LUONG

- Status changed from Assigned to Resolved

Files

config-9.3.log 1.39 MB 10/06/2015 patrick moulin

config-10-with-clang.log 1.11 MB 10/06/2015 patrick moulin

config10-with-gcc.log 1.06 MB 10/06/2015 patrick moulin
